<?php
if (!isset($_GET['book_id']) || !isset($_GET['chapter_id'])) {
    echo json_encode(["error" => "book_id and chapter_id are required"]);
    exit;
}

$book_id = $_GET['book_id'];
$chapter_id = $_GET['chapter_id'];

try {
    $db = new PDO('sqlite:/home/pfoqxnyv/public_html/quran/hadith.db');
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // book_id এবং chapter_id অনুযায়ী ডাটা বের করবো
    $stmt = $db->prepare("SELECT * FROM hadith WHERE book_id = :book_id AND chapter_id = :chapter_id");
    $stmt->bindParam(':book_id', $book_id, PDO::PARAM_INT);
    $stmt->bindParam(':chapter_id', $chapter_id, PDO::PARAM_INT);
    $stmt->execute();

    $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);

    header('Content-Type: application/json');
    echo json_encode($rows);

} catch (PDOException $e) {
    echo json_encode(["error" => $e->getMessage()]);
}
?>